Subject: Re: linux-next: manual merge of the drm-intel tree with Linus' tree

From: Jani Nikula <[email-masked]>
Date: Mon, 14 Nov 2022 13:02:46 +0200

On Mon, 14 Nov 2022, Hans de Goede <[email-masked]> wrote:
> Hi,
>
> On 11/14/22 11:10, Jani Nikula wrote:
>> On Mon, 14 Nov 2022, Hans de Goede <[email-masked]> wrote:
>>> Hi,
>>>
>>> On 11/14/22 00:23, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> Today's linux-next merge of the drm-intel tree got a conflict in:
>>>>
>>>>   drivers/gpu/drm/i915/display/intel_backlight.c
>>>>
>>>> between commit:
>>>>
>>>>   b1d36e73cc1c ("drm/i915: Don't register backlight when another backlight should be used (v2)")
>>>>
>>>> from Linus' tree and commit:
>>>>
>>>>   801543b2593b ("drm/i915: stop including i915_irq.h from i915_trace.h")
>>>>
>>>> from the drm-intel tree.
>>>
>>> This is weird, because the:
>>>
>>>    b1d36e73cc1c ("drm/i915: Don't register backlight when another backlight should be used (v2)")
>>>
>>> commit is in 6.1-rc1, so there can only be a conflict it 6.1-rc1 has not
>>> been back-merged into drm-intel yet ?
>> 
>> That's the reason it *is* a conflict, right?
>
> Right what I was trying to say is that I am surprised that 6.1-rc1 has not
> been back-merged into drm-intel yet even though it has been released
> 4 weeks ago.

Right, -ENOCOFFEE at my end.

> I thought it was more or less standard process to backmerge rc1 soon after
> it is released ?

The delay may be because v6.1-rc1 brought in more regressions for us
than any other -rc1 in recent memory. Our CI's been suffering, and our
folks have been spending a lot of time debugging, bisecting and
reporting. (And before you ask, yes, we're going to be more proactive in
reporting issues we find in linux-next.)

That said, Rodrigo's been in charge of drm-intel-next this cycle, maybe
it's time to backmerge drm-next?

BR,
Jani.

-- 
Jani Nikula, Intel Open Source Graphics Center